##
##    This file is part of ReReMi -- Real-Valued Redescription Mining.
##
##    ReReMi is free software: you can redistribute it and/or modify
##    it under the terms of the GNU General Public License as published by
##    the Free Software Foundation, either version 3 of the License, or
##    (at your option) any later version.
##
##    ReReMi is distributed in the hope that it will be useful,
##    but WITHOUT ANY WARRANTY; without even the implied warranty of
##    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##    GNU General Public License for more details.
##
##    You should have received a copy of the GNU General Public License
##    along with ReReMi.  If not, see <http://www.gnu.org/licenses/>.
##
##   
##    Copyright 2011 Esther Galbrun, esther.galbrun@cs.helsinki.fi
##


import sys
import pdb
class Log:
    
    def __init__(self,  verbosity=1, output = '-'):
        
        self.out = None
        if output == '-':
            self.out = sys.stdout
        elif output != None  and len(output) > 0:
            self.out = open(output, 'w')
        self.verbosity = verbosity

    def printL(self, level, message):
        if self.out != None and self.verbosity >= level:
            self.out.write("%s\n" % message)

##
##    Feb, 2011. EG. ReReMi 1.0
##
